//#define highLatch 3   //ST_CP //PD3
//#define highClock 4   //SH_CP //PD4
//#define highData 2    //DS    //PD2

void renderRedArray() {
  PORTD &= ~_BV(PD3); //set Latch Low
  for (int q = 0; q < 10; q++) {
    switch (redArray[q]) {
      case 0:
        PORTD &= ~_BV(PD2); //write data high
        break;
      case 1:
        PORTD |= _BV(PD2); //write data low
        break;
    }
    PORTD |= _BV(PD4); //write clock high
    PORTD &= ~_BV(PD4); //write clock low
  }
  PORTD |= _BV(PD3); //set latch high
}

void renderGreenArray() {
  PORTD &= ~_BV(PD3); //set Latch Low
  for (int q = 0; q < 10; q++) {
    switch (greenArray[q]) {
      case 0:
        PORTD &= ~_BV(PD2); //write data high
        break;
      case 1:
        PORTD |= _BV(PD2);//write data low
        break;
    }
    PORTD |= _BV(PD4); //write clock high
    PORTD &= ~_BV(PD4); //write clock low
  }
  PORTD |= _BV(PD3); //set latch high
}

void renderBlueArray() {
  PORTD &= ~_BV(PD3); //set Latch Low
  for (int q = 0; q < 10; q++) {
    switch (blueArray[q]) {
      case 0:
        PORTD &= ~_BV(PD2); //write data high
        break;
      case 1:
        PORTD |= _BV(PD2); //write data low
        break;
    }
    PORTD |= _BV(PD4);//write clock high
    PORTD &= ~_BV(PD4);//write clock low
  }
  PORTD |= _BV(PD3); //set latch high
}

void clearColorArrays() {
  PORTD &= ~_BV(PD3); //set Latch Low
  for (int q = 0; q < 30; q++) {
     PORTD &= ~_BV(PD2); //write data low
    PORTD |= _BV(PD4);//write clock high
    PORTD &= ~_BV(PD4);//write clock low
  }
  PORTD |= _BV(PD3); //set latch high
}
